<?php

namespace App\Http\Controllers;

use Stripe\Stripe;
use Illuminate\Http\Request;
use Stripe\PaymentIntent;
use Fpdf\Fpdf;

class Generaficha extends Controller
{
    public function generarFicha(Request $request)
    {
        $name = $request->input('name');
        $email = $request->input('email');
        $phone = $request->input('phone');
        if($name == null || $email == null || $phone == null){
            return response()->json(['error' => 'Faltan datos'], 400);
        }else{ 
            // Configura tu clave secreta de Stripe
            $stripe = new \Stripe\StripeClient('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');
           //TRANSFERENCIA CON FACTURAS
            // Crear un cliente
            $customer = $stripe->customers->create([
                'name' =>  $name,
                'email' => $email,
                'phone' =>  $phone,
            ]);

            $customerId = $customer->id;

            $invoices = $stripe->invoices->create([
                'customer' => $customerId,
                'payment_settings'=> ['payment_method_types' => ['customer_balance']],
                'collection_method' => 'send_invoice',
                'auto_advance' => true, // Habilitar cobro automático
                'days_until_due' => 30,
            ]);
            $stripe->invoiceItems->create([
                'amount' => 1000,
                'currency' => 'mxn',
                'customer' =>  $customerId,
                'description' => 'Terreno en venta',
                'invoice' => $invoices->id,]);
            
            $stripe->invoices->finalizeInvoice($invoices->id, []);
            
            return response()->json(['message' => 'Ficha generada :)', 'name' => $name, 'email' => $email, 'phone' => $phone, 'id_fact'=>$invoices->id], 200);
        }
        
    }
}
